#!/bin/bash

ls -1 *.png | sort | uniq > pnglist.lst
ls -1 *.pdf | sort | uniq > pdflist.lst
ls -1 *.svg | sort | uniq  > svglist.lst
ls -1 *.jpg | sort | uniq  > jpglist.lst
ls -1 *.jpeg | sort | uniq  > jpeglist.lst

cd ../en/

egrep -oh '[a-zA-Z|0-9|_|-]*\.png' *.xml | sort | uniq > images/pnglist2.lst
egrep -oh '[a-zA-Z|0-9|_|-]*\.pdf' *.xml | sort | uniq > images/pdflist2.lst
egrep -oh '[a-zA-Z|0-9|_|-]*\.svg' *.xml | sort | uniq > images/svglist2.lst
egrep -oh '[a-zA-Z|0-9|_|-]*\.jpg' *.xml | sort | uniq > images/jpglist2.lst
egrep -oh '[a-zA-Z|0-9|_|-]*\.jpeg' *.xml | sort | uniq > images/jpeglist2.lst
cd images/

diff pnglist.lst pnglist2.lst
diff pdflist.lst pdflist2.lst
diff svglist.lst svglist2.lst
diff jpglist.lst jpglist2.lst
diff jpeglist.lst jpeglist2.lst
rm -rf *.lst
